ランタイム: Mix::Scene::IContactListener Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IContactListener Class Referenceabstract

コンタクトリスナーインターフェース More...

`#include <IContactListener.h>`

Inheritance diagram for Mix::Scene::IContactListener:
[legend]
Collaboration diagram for Mix::Scene::IContactListener:
[legend]

## Public Member Functions

virtual void | OnContact (Mix::Scene::IDynamicsObject *pDynamicsObjectA, Mix::Scene::IDynamicsObject *pDynamicsObjectB, UInt32 pointNum, const Mix::Scene::DYNAMICS_CONTACT_POINT *points)=0
| オブジェクトが接触した際に呼び出されます More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IContactListener (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

コンタクトリスナーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IContactListener::~IContactListener | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Scene::IContactListener::OnContact | ( | Mix::Scene::IDynamicsObject * | pDynamicsObjectA,
|  | Mix::Scene::IDynamicsObject * | pDynamicsObjectB,
|  | UInt32 | pointNum,
|  | const Mix::Scene::DYNAMICS_CONTACT_POINT * | points
| ) |  |

pure virtual

オブジェクトが接触した際に呼び出されます

Parameters

  [in] | pDynamicsObjectA | 接触ダイナミクスオブジェクトAを表す Mix::Scene::IDynamicsObject インターフェースのポインタ
  [in] | pDynamicsObjectB | 接触ダイナミクスオブジェクトBを表す Mix::Scene::IDynamicsObject インターフェースのポインタ
  [in] | pointNum | 接触位置の数
  [in] | points | 接触位置を表す Mix::Scene::DYNAMICS_CONTACT_POINT 構造体の配列

Note
  Aはこのリスナーを所持するオブジェクトを表し、
  Bは接触してきた相手のオブジェクトを表します。

The documentation for this class was generated from the following file:

- Mix/Scene/IContactListener.h